Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.util
Class AsyncProxy

    java.lang.Object
      org.codehaus.activemq.util.AsyncProxy

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

public class AsyncProxy
extends java.lang.Object
implements java.lang.reflect.InvocationHandler

A proxy to some service which offers an asynchronous way to invoke methods which are void and don't throw exceptions. Calling the method results in a command object being added to a queue for later execution.

Version:
  $Revision: 1.1 $

Constructor Summary
`AsyncProxy(Executor executor, Log log)`
`AsyncProxy(java.lang.Object realObject, Executor executor)`
`AsyncProxy(java.lang.Object realObject, Executor executor, Log log)`

Method Summary
`static java.lang.Object` | `createProxy(java.lang.Class interfaceType, java.lang.Object realObject, Executor executor)`
`protected void` | `doAsyncMethodInvoke(java.lang.reflect.Method method, java.lang.Object[] args)`
`java.lang.Object` | `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncProxy

    public AsyncProxy(java.lang.Object realObject,
                      Executor executor)

### AsyncProxy

    public AsyncProxy(java.lang.Object realObject,
                      Executor executor,
                      Log log)

### AsyncProxy

    public AsyncProxy(Executor executor,
                      Log log)

Method Detail

### createProxy

    public static java.lang.Object createProxy(java.lang.Class interfaceType,
                                               java.lang.Object realObject,
                                               Executor executor)

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

### doAsyncMethodInvoke

    protected void doAsyncMethodInvoke(java.lang.reflect.Method method,
                                       java.lang.Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.